<script lang="ts">
  import { Button, Col, Form, FormGroup, Input, InputGroup, Row } from 'sveltestrap';
  import BlueteamSelect from '../Utils/BlueteamSelect.svelte';
  import type { Team } from '@models/Team';
  import { Gql } from '../../db';
  import { EventRole } from '@auth/models';

  let selectedTeam: Team | null = null;
  let pts: number | null;
  let reason: string;

  function awardPoints(e) {
    e.preventDefault();
    const q = `mutation asdf {
          insert_other_points_one(object: {
            points: ${pts},
            reason: "${reason}",
            team_id: ${selectedTeam?.id},
            created_at: "${new Date().toISOString()}"
          }){id}
        }`;
    Gql.query(q, { role: EventRole.EventAdmin });
    selectedTeam = null;
    pts = null;
    reason = '';
  }
</script>

<Form on:submit={awardPoints}>
  <Row>
    <Col sm="12" md="4">
      <InputGroup>
        <BlueteamSelect bind:selectedTeam />
        <Input bind:value={pts} type="number" label="Points" placeholder="50" required />
      </InputGroup>
    </Col>
    <Col sm="12" md="8">
      <FormGroup>
        <Input bind:value={reason} type="text" name="reason" placeholder="Pointed out a bug!" />
        <Button class="pull-right mt-3">
          <i class="fa fa-trophy" /> Award/Dock Points
        </Button>
      </FormGroup>
    </Col>
  </Row>
</Form>
